Package org.eclipse.lemminx.extensions.xinclude

## Enum XIncludeErrorCode

- java.lang.Object
- - java.lang.Enum<XIncludeErrorCode>
  - - org.eclipse.lemminx.extensions.xinclude.XIncludeErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<XIncludeErrorCode>`, `IXMLErrorCode`

    public enum XIncludeErrorCode
    extends Enum<XIncludeErrorCode>
    implements IXMLErrorCode

XInclude error code.

### Enum Constant Summary

Enum Constants
`AcceptLanguageMalformed`
`AcceptMalformed`
`ContentIllegalAtTopLevel`
`FallbackChild`
`FallbackParent`
`HrefFragmentIdentifierIllegal`
`HrefMissing`
`HrefSyntacticallyInvalid`
`IncludeChild`
`InvalidParseValue`
`MultipleFallbacks`
`MultipleRootElements`
`NoFallback`
`NonDuplicateNotation`
`NonDuplicateUnparsedEntity`
`RecursiveInclude`
`RootElementRequired`
`TextResourceError`
`UnexpandedEntityReferenceIllegal`
`XMLParseError`
`XMLResourceError`
`XpointerMissing`
`XPointerResolutionUnsuccessful`
`XPointerStreamability`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static XIncludeErrorCode` `get​(String name)`
`String` `getCode()` Returns the XML error code.
`static org.eclipse.lsp4j.Range` `toLSPRange​(org.apache.xerces.xni.XMLLocator location, XIncludeErrorCode code, Object[] arguments, DOMDocument document)` Create the LSP range from the SAX error.
`static XIncludeErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static XIncludeErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NoFallback

    public static final XIncludeErrorCode NoFallback

#### MultipleFallbacks

    public static final XIncludeErrorCode MultipleFallbacks

#### FallbackParent

    public static final XIncludeErrorCode FallbackParent

#### IncludeChild

    public static final XIncludeErrorCode IncludeChild

#### FallbackChild

    public static final XIncludeErrorCode FallbackChild

#### HrefMissing

    public static final XIncludeErrorCode HrefMissing

#### RecursiveInclude

    public static final XIncludeErrorCode RecursiveInclude

#### InvalidParseValue

    public static final XIncludeErrorCode InvalidParseValue

#### XMLParseError

    public static final XIncludeErrorCode XMLParseError

#### XMLResourceError

    public static final XIncludeErrorCode XMLResourceError

#### TextResourceError

    public static final XIncludeErrorCode TextResourceError

#### NonDuplicateNotation

    public static final XIncludeErrorCode NonDuplicateNotation

#### NonDuplicateUnparsedEntity

    public static final XIncludeErrorCode NonDuplicateUnparsedEntity

#### XpointerMissing

    public static final XIncludeErrorCode XpointerMissing

#### AcceptMalformed

    public static final XIncludeErrorCode AcceptMalformed

#### AcceptLanguageMalformed

    public static final XIncludeErrorCode AcceptLanguageMalformed

#### RootElementRequired

    public static final XIncludeErrorCode RootElementRequired

#### MultipleRootElements

    public static final XIncludeErrorCode MultipleRootElements

#### ContentIllegalAtTopLevel

    public static final XIncludeErrorCode ContentIllegalAtTopLevel

#### UnexpandedEntityReferenceIllegal

    public static final XIncludeErrorCode UnexpandedEntityReferenceIllegal

#### HrefFragmentIdentifierIllegal

    public static final XIncludeErrorCode HrefFragmentIdentifierIllegal

#### HrefSyntacticallyInvalid

    public static final XIncludeErrorCode HrefSyntacticallyInvalid

#### XPointerStreamability

    public static final XIncludeErrorCode XPointerStreamability

#### XPointerResolutionUnsuccessful

    public static final XIncludeErrorCode XPointerResolutionUnsuccessful

### Method Detail

#### values

    public static XIncludeErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XIncludeErrorCode c : XIncludeErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XIncludeErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public String getCode()

Description copied from interface: `IXMLErrorCode`
Returns the XML error code.

Specified by:
  `getCode` in interface `IXMLErrorCode`
Returns:
  the XML error code.

#### get

    public static XIncludeErrorCode get​(String name)

#### toLSPRange

    public static org.eclipse.lsp4j.Range toLSPRange​(org.apache.xerces.xni.XMLLocator location,
                                                     XIncludeErrorCode code,
                                                     Object[] arguments,
                                                     DOMDocument document)

Create the LSP range from the SAX error.

Parameters:
  `characterOffset` -
  `key` -
  `arguments` -
  `document` -
Returns:
  the LSP range from the SAX error.